<?php

$post_id           = $this->post_id;
$featured_img_url  = $this->featured_img_url;
$featured_img_id   = $this->featured_img_id;
$upload_link       = $this->uploadLink;
$attachments       = $this->post_image_attachments;
$other_attachments = $this->post_other_attachments;
$phrase = $attachments ? 'Attach more images from Media' : 'No images attached yet!<br>Attach image';

?>

<div class="attachmentContainer">
    <div class="holder-featured">
        <div id="drag-drop-area">
            <ul class="drop-place">
                <?php $class = !$featured_img_url ? 'empty' : ''; ?>
                <li tabindex="0" role="checkbox" aria-label="" aria-checked="false" class="attachment save-ready current_featured_image <?php echo $class; ?>">
                    <a href="<?php echo esc_url(home_url('/wp-admin/post.php?post='.$featured_img_id.'&action=edit')); ?>" class="attachment-preview <?php echo $featured_img_url ? '' : 'hidden'; ?>">
                        <div class="thumbnail">
                            <div class="centered">
                                <?php echo '<img width="150" height="150" src="' . $featured_img_url . '" class="featured-image attachment-thumbnail wp-post-image" alt="Featured Image">'; ?>
                            </div>
                        </div>
                    </a>
                    <a class="check js-detach" href="#" title="Deselect" tabindex="-1">
                        <div class="media-modal-icon"></div>
                    </a>
                    <div class="drag-drop-inside postimagediv <?php echo $featured_img_url ? 'hidden' : ''; ?>">
                        <div class="drag-drop-info">
                            <h2>Featured Image</h2>
                            <?php if ( $attachments ) : ?>
                            <p>Drag & Drop<br>or</p>
                            <?php endif; ?>
                            <a class="select_featured_file" href="#">select image from Media</a>

                        </div>
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <div class="holder-tab">
        <div id="post-attachments" class="categorydiv">
            <ul id="attachments-tabs" class="category-tabs">
                <li class="tabs"><a href="#images-attachments">Images</a></li>
                <li class="hide-if-no-js"><a href="#other-attachments">Other Attachments</a></li>
            </ul>
            <div id="images-attachments" class="tabs-panel" style="display: block;">
                <div class="block gallery_block">
                    <ul class="js-gallery-sortable gallery-size-thumb-300-550">
                        <?php foreach ( $attachments as $attachment ) : ?>
                            <li tabindex="0" role="checkbox" aria-label="<?php echo $attachment->title; ?>" aria-checked="false" data-id="<?php echo $attachment->ID; ?>" class="attachment dd_attachment save-ready">
                                <a href="<?php echo esc_url(home_url('/wp-admin/post.php?post='.$attachment->ID.'&action=edit')); ?>" class="attachment-preview js--select-attachment type-image subtype-jpeg landscape">
                                    <div class="thumbnail">
                                        <div class="centered">
                                            <?php echo wp_get_attachment_image( $attachment->ID, 'thumbnail' ); ?>
                                        </div>
                                    </div>
                                </a>
                                <a class="check js-detach" href="#" title="Deselect" tabindex="-1">
                                    <div class="media-modal-icon"></div>
                                </a>
                            </li>
                        <?php endforeach; ?>
                        <li tabindex="0" class="attachment save-ready js-unsortable">
                            <a href="<?php echo $upload_link ?>" class="add-attachments js-add-attachments attachment-preview">
                                <div class="thumbnail">
                                    <div class="attachMore">
                                        <p><?php echo $phrase ?></p>
                                    </div>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div id="other-attachments" class="tabs-panel" style="display: none;">
                <div class="block gallery_block others">
                    <?php if ( $other_attachments ) : ?>
                        <ul class="gallery-other gallery-size-thumb-300-550">
                            <?php foreach ( $other_attachments as $attachment ) : ?>
                                <li tabindex="0" role="checkbox" aria-label="<?php echo $attachment->title; ?>" aria-checked="false" data-id="<?php echo $attachment->ID; ?>" class="attachment dd_attachment">
                                    <a href="<?php echo esc_url(home_url('/wp-admin/post.php?post='.$attachment->ID.'&action=edit')); ?>" class="attachment-preview js--select-attachment type-image subtype-jpeg landscape">
                                        <div class="thumbnail icon">
                                            <div class="centered">
                                                <?php echo wp_get_attachment_image( $attachment->ID, 'thumbnail', true ); ?>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                            <?php endforeach; ?>
                            <li tabindex="0" role="checkbox" class="attachment dd_attachment save-ready">
                                <a href="<?php echo $upload_link ?>" class="add-attachments attachment-preview">
                                    <div class="thumbnail">
                                        <div class="attachMore">
                                            <p>Attach more images from Media</p>
                                        </div>
                                    </div>
                                </a>
                            </li>
                        </ul>
                    <?php else: ?>
                        <p>
                            No other attachments yet!
                            <a class="add-attachments" href="<?php echo $upload_link ?>">
                                <?php _e( 'Attach media' ) ?>
                                <span class="wp-media-buttons-icon"></span>
                            </a>
                        </p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>