jQuery(function ($) {


    init();

    // Set all variables to be used in scope
    var frame,
        post_id = $('#post_ID').val();

    // ADD IMAGE LINK
    $(document).on('click', '#dd_attachments .js-add-attachments', function (e) {

        e.preventDefault();

        // Create a new media frame
        frame = wp.media({
            title: 'Select or Upload Media to Attach',
            button: {
                text: 'Use this Media'
            },
            library: {
                type: [ 'image' ]
            },
            multiple: true  // Set to true to allow multiple files to be selected
        });

        // When an image is selected in the media frame...
        frame.on('select', function () {

            // Get media attachment details from the frame state
            var attachments = frame.state().get('selection').toJSON(),
                ids_array = [];

            for (i in attachments) {
                ids_array.push(attachments[i].id);
            }

            var data = {
                action: 'update_media_attach_state',
                the_parent_id: post_id,
                media_ids_array: ids_array,
                attach: true
            };
            jQuery.post(ajaxurl, data, function (cb) {

                $('#dd_attachments .inside').html(cb);

                init();
            });
        });

        // Finally, open the modal on click
        frame.open();
    });

    $(document).on('click', '.dd_attachment .js-detach', function (e) {
        e.preventDefault();

        var thisMediaId = $(this).parent('li').data("id");

        var data = {
            action: 'update_media_attach_state',
            the_parent_id: post_id,
            media_ids_array: thisMediaId,
            attach: false
        };
        jQuery.post(ajaxurl, data, function (cb) {

            $('#dd_attachments .inside').html(cb);
            init();
        });
    });

    $(document).on('click', '.current_featured_image .check', function (e) {
        e.preventDefault();

        var data = {
            action: 'dd_remove_featured_image',
            the_parent_id: post_id
        };
        jQuery.post(ajaxurl, data, function (cb) {

            var container = $('.current_featured_image');
            var imgElement = $('.current_featured_image .featured-image');
            var noImgSetElement = $('.current_featured_image .drag-drop-inside');
            var imgContainer = $('.current_featured_image .attachment-preview');

            imgElement.fadeOut(100, function() {
                imgElement.attr('src',cb);
                container.addClass('empty');
                noImgSetElement.removeClass('hidden');
                imgContainer.addClass('hidden');

            });
            init();
        });
    });

    $(document).on('click', '.select_featured_file', function (e) {

        e.preventDefault();

        // Create a new media frame
        frame = wp.media({
            title: 'Select or Upload Image for Featured Image',
            button: {
                text: 'Use this Image'
            },
            multiple: false,  // Set to true to allow multiple files to be selected
            library: {
                type: [ 'image' ]
            }
        });


        // When an image is selected in the media frame...
        frame.on('select', function () {

            // Get media attachment details from the frame state
            var attachments = frame.state().get('selection').toJSON(),
                image_id = '';

            for (i in attachments) {
                image_id = attachments[i].id;
            }

            var data = {
                action: 'dd_set_featured_image',
                the_parent_id: post_id,
                image_id: image_id
            };
            jQuery.post(ajaxurl, data, function (cb) {
                setFeaturedImage(cb);
            });
        });

        // Finally, open the modal on click
        frame.open();
    });


    function init() {
        $(".js-gallery-sortable").sortable({
            cancel: ".js-unsortable",
            update: function (event, ui) {
                var attach_order = [];

                $('#images-attachments .dd_attachment').each(function() {
                    var id = $(this).data('id');
                    attach_order.push(id);
                });

                var data = {
                    action: 'dd_set_attach_order',
                    the_parent_id: post_id,
                    attach_order: attach_order
                };

                jQuery.post(ajaxurl, data, function (cb) {
                    // no cb necessary, drag drop does the job!
                });

            }
        });

        $(".drop-place").droppable({
            connectWith :".gallery_block .gallery",
            drop: function (event, ui) {

                var data = {
                    action: 'dd_set_featured_image',
                    the_parent_id: post_id,
                    image_id: $('.ui-sortable-helper').data("id")
                };

                jQuery.post(ajaxurl, data, function (cb) {
                    setFeaturedImage(cb);
                });
            },
            accept: '.attachment'
        });
    }

    function setFeaturedImage(cb) {
        if(cb !== 'error') {

            var container = $('.current_featured_image');

            var imgElement = $('.current_featured_image .featured-image');
            var noImgSetElement = $('.current_featured_image .drag-drop-inside');
            var imgContainer = $('.current_featured_image .attachment-preview');

            imgElement.fadeOut(100, function() {
                imgElement.attr('src',cb);
                container.removeClass('empty');
                noImgSetElement.addClass('hidden');
                imgContainer.removeClass('hidden');

            }).fadeIn(100, function() {
            });

            init();
        }
    }
});



